summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-12-26 11:10:41 +0100
committerThomas Deutschmann <whissi@gentoo.org>2019-12-26 11:23:08 +0100
commitc72b12b322ffb64fe758f2cd16181bea58a23e87 (patch)
treeb21b4df6b6c630d5f413267033f1192293b29a8b /dev-php
parentkde-apps/libkleo: Use ecm_src_configure (diff)
downloadgentoo-c72b12b322ffb64fe758f2cd16181bea58a23e87.tar.gz
gentoo-c72b12b322ffb64fe758f2cd16181bea58a23e87.tar.bz2
gentoo-c72b12b322ffb64fe758f2cd16181bea58a23e87.zip
dev-php/adodb: bump to v5.20.15
Package-Manager: Portage-2.3.83, Repoman-2.3.20 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'dev-php')
-rw-r--r--dev-php/adodb/Manifest1
-rw-r--r--dev-php/adodb/adodb-5.20.15.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-php/adodb/Manifest b/dev-php/adodb/Manifest
index 94c42a34852..954640dcf11 100644
--- a/dev-php/adodb/Manifest
+++ b/dev-php/adodb/Manifest
@@ -1 +1,2 @@
DIST adodb-5.20.14.tar.gz 465896 BLAKE2B acd8494141584b0c02c2e30aa59b3916ae811b8095ca724d22f44ed2cb1456b8e8afc7ff9af41e7476f4a93809e762c44a175fd3775b69654107813342b3a47a SHA512 fa9b764742f3edf15e79da7a34ca52b19f51454fa20bc963cce963cdd40f7e78671e993cd672a21e9917aa2440c63601fbf768b5259dccb64b458a5be6f4b0eb
+DIST adodb-5.20.15.tar.gz 466749 BLAKE2B ca232e15094eaf728dd82b449cfded4f84fc773e5dbe1a06b7bb15fc18487080131c52d7ae9d77e6a401bfd53baa7875810c94b6bda615d0a836a715914de9d7 SHA512 87c6f508f49a54e436b56d47d3c0b2801f4f022876013a2ffa23e751cc4c7aa83aa359e51acc4f8351fd596ad4f5d71326204ae3d57514c4354f68669e412c73
diff --git a/dev-php/adodb/adodb-5.20.15.ebuild b/dev-php/adodb/adodb-5.20.15.ebuild
new file mode 100644
index 00000000000..f16a3af534d
--- /dev/null
+++ b/dev-php/adodb/adodb-5.20.15.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="ADOdb"
+DESCRIPTION="Database abstraction layer for PHP"
+HOMEPAGE="https://github.com/ADOdb"
+SRC_URI="https://github.com/${MY_PN}/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+# If you want to be picky, we should require that PHP be built with at
+# least one database driver enabled; otherwise adodb isn't going to be
+# able to do anything. But, the database USE flags for dev-lang/php are
+# a mess. What we would *like* to do is have a set of USE flags for
+# adodb that then propagate to PHP itself... for example, adodb[mysql]
+# could require php[mysql]. To do that would require that we duplicate
+# the database USE flag mess for adodb -- not desirable. Instead we punt
+# and let the user install adodb unconditionally. If he doesn't have
+# database support in PHP, it just won't work.
+RDEPEND="dev-lang/php:*"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_install() {
+ DOCS="README.md docs/changelog*.md xmlschema*.dtd session/*.sql"
+ DOCS+=" session/*.txt session/*.xml pear/auth_adodb_example.php"
+ DOCS+=" pear/readme.Auth.txt"
+
+ dodoc $DOCS
+ rm -f $DOCS || die "failed to remove docs before installation"
+
+ insinto "/usr/share/php/${PN}"
+ doins *.php
+ doins -r contrib datadict drivers lang pear perf replicate session xsl
+}